// =======================
//          RESET
// =======================
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

// =======================
//         FONTS
// =======================
// Fragment Core
@font-face {
    font-family: "FC";
    src: url("../../assets/fonts/Fragmentcore.otf");
}
// Acme
@font-face {
    font-family: "A";
    src: url("../../assets/fonts/Acme-Regular.ttf");
}

// =======================
//         STANDARDS
// =======================
$link_delay: 0.2s ease-in;
$sondage_delay: 0.1s ease-in;

// =======================
//         NAVBAR
// =======================

#navbar {
    background-color: #414141;
    height: 80px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    #brand, #connexion {
        display: flex;
        flex-direction: row;
        align-items: center;
        height: 100%;
        margin-left: 50px;

        h1 {
            color: #fff;
            margin-left: 10px;
            font-family: "FC";
            font-size: 48px;
            margin-right: 50px;
            transition: $link_delay;

            &:hover {
                color: #F1C40F;
                transition: $link_delay;
            }
        }
        a {
            color: #fff;
            cursor: pointer;
            font-family: "A";
            font-size: 24px;
            text-decoration: none;
            transition: $link_delay;

            &:hover {
                color: #F1C40F;
                transition: $link_delay;
            }
        }
    }
    #connexion a {
        color: #fff;
        cursor: pointer;
        font-family: "A";
        font-size: 24px;
        text-decoration: none;
        transition: $link_delay;
        margin-right: 50px;

        &:hover {
            color: #F1C40F;
            transition: $link_delay;
        }
    }
    #toggle_menu {
        display: none;
        flex-direction: row;
        align-items: center;
        height: 100%;
        margin-right: 10px;
        cursor: pointer;

        svg path {
            transition: $link_delay;
        }
        &:hover svg path {
            transition: $link_delay;
            fill: #F1C40F;
        }
    }
}

#modal_menu {
    position: fixed;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    top: 80px;
    height: 100vh;
    width: 100%;
    background-color: rgba(0,0,0,0.6);
    backdrop-filter: blur(5px);

    a {
        color: #fff;
        cursor: pointer;
        font-family: "A";
        font-size: 24px;
        text-decoration: none;
        transition: $link_delay;

        &:hover {
            color: #F1C40F;
            transition: $link_delay;
        }
        &:first-child {
            margin-bottom: 10px;
        }
        &:nth-child(2) {
            margin-top: 10px;
        }
    }
}

.active {
    display: flex!important;
}

// =======================
//      PAGE D'ACCUEIL
// =======================
#home_header {
    font-family: "FC";
    color: #414141;
    font-size: 48px;
    margin: 30px 0px 30px 50px;
}

.sondages_deck {
    margin: 40px 50px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px 20px;
    padding: 0;
    text-decoration: none;

    .sondage {
        height: auto;
        border: 5px solid #C4C4C4;
        border-radius: 20px;
        cursor: pointer;
        text-decoration: none;
        transition: $sondage_delay;

        h2 {
            color: #000;
            text-align: center;
            font-family: "A";
            margin: 40px 15px;
            text-decoration: none;
        }
        p {
            color: rgba(0,0,0,0.6);
            font-family: "A";
            margin-right: 15px;
            line-height: 2em;
            font-size: 18px;
            text-decoration: none;
            text-align: right;
        }
        &:hover {
            transform: scale(1.02);
            border: 5px solid #414141;
            transition: $sondage_delay;
        }
    }
}

#add_sondage {
    margin-left: 50px;
    padding: 10px 20px;
    background-color: #414141;
    border: 3px solid #414141;
    border-radius: 10px;
    color: #fff;
    font-family: "A";
    font-size: 18px;
    transition: $sondage_delay;
    text-decoration: none;

    &:hover {
        color: #414141;
        background-color: #fff;
        transition: $sondage_delay;
    }
}

// =======================
//         ARIANE
// =======================
.ariane {
    display: flex;
    flex-direction: row;
    margin-top: 30px;
    margin-left: 50px;

    a {
        color: #000;
        font-family: "A";
        font-size: 18px;
    }
    p {
        color: #414141;
        font-family: "A";
        font-size: 18px;
    }
}

// =======================
//      NEW SONDAGE
// =======================
#new_sondage_box {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;

    form {
        border: 3px solid #414141;
        border-radius: 20px;
        padding: 30px;
        min-width: 50%;

        .remove_button {
            background-color: red;
            border: 3px solid red;

            &:hover {
                color: red;
            }
        }
        .divider {
            width: 100%;
            height: 3px;
            background-color: #414141;
            margin: 15px auto;
        }
        div {
            display: flex;
            flex-direction: column;

            label {
                margin-bottom: 5px;
                font-family: "A";
                font-size: 24px;
                color: #414141;
            }
            input {
                margin-bottom: 20px;
                min-height: 30px;
            }
            select {
                margin-bottom: 20px;
                min-height: 30px;
            }
        }
        button {
            background-color: #414141;
            border: 3px solid #414141;
            padding: 5px;
            border-radius: 10px;
            color: #fff;
            font-family: "A";
            font-size: 18px;
            transition: $sondage_delay;
            text-decoration: none;
            cursor: pointer;
            margin-bottom: 20px;

            &:hover {
                color: #414141;
                background-color: #fff;
                transition: $sondage_delay;
            }
        }
        ul {
            list-style: none;

            .remove_button {
                margin-top: -25px;
            }
        }
        #submit {
            width: 100%;
        }
    }
}

.reponse div {
    &:nth-child(2) {
        display: none;
    }
}

.warning_block {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-bottom: 30px!important;

    .warning_text {
        margin: 25px auto 0px auto;
        font-weight: bold;
    }
    #warning_connect {
        margin-top: 30px;

        &:before {
            width: 100%;
            content: '';
            border-bottom: 3px solid #414141;
            bottom: -30px;
            margin-bottom: 30px;
        }
    }
    #warning_register {
        margin-top: 20px;
    }
    #warning_connect, #warning_register {
        min-width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .warning_link {
        margin-top: 5px;
        background-color: #414141;
        border: 3px solid #414141;
        padding: 5px;
        border-radius: 10px;
        color: #fff;
        font-family: "A";
        font-size: 18px;
        transition: $sondage_delay;
        text-decoration: none;
        cursor: pointer;
        margin-bottom: 20px;
        width: 100%;
        text-align: center;

        &:hover {
            color: #414141;
            background-color: #fff;
            transition: $sondage_delay;
        }
    }
}

// =======================
//       VOTE SONDAGE
// =======================
#sondage_box {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;

    #sondage {
        border: 3px solid #414141;
        border-radius: 20px;
        padding: 30px 30px 0px 30px;
        min-width: 50%;

        h1 {
            font-family: "A";
            text-align: center;
        }
        form {
            padding: 30px;

            input {
                margin-bottom: 20px;
            }
            label {
                font-family: "A";
                font-size: 24px;
            }
            #sondage_buttons {
                button, a {
                    margin-top: 5px;
                    background-color: #414141;
                    border: 3px solid #414141;
                    padding: 5px;
                    border-radius: 10px;
                    color: #fff;
                    font-family: "A";
                    font-size: 18px;
                    transition: $sondage_delay;
                    text-decoration: none;
                    cursor: pointer;
                    margin-bottom: 20px;

                    &:disabled {
                        opacity: 0.6;

                        &:hover {
                            color: #fff;
                            background-color: #414141;
                            cursor: default;
                        }
                    }

                    &:hover {
                        color: #414141;
                        background-color: #fff;
                        transition: $sondage_delay;
                    }
                }
            }
        }
        p {
            font-family: "FC";
            color: #000;
            font-size: 24px;
            margin-bottom: 10px;
        }
        h3 {
            font-family: "FC";
            color: #414141;
            font-size: 32px;
            margin-bottom: 30px;
            text-align: center;
        }
        progress {
            height: 30px;
            width: 100%;
            margin-bottom: 30px;
            border-radius: 0px;

            &::-webkit-progress-bar {
                border-top-right-radius: 15px;
                border-bottom-right-radius: 15px;
            }
            &::-webkit-progress-value {
                background: #F1C40F;
                border-top-right-radius: 15px;
                border-bottom-right-radius: 15px;
            }
        }
    }
}

#admin_options {
    margin: 30px auto auto 50px;
    display: flex;

    a, #delete_sondage {
        background-color: #414141;
        border: 3px solid #414141;
        padding: 5px;
        border-radius: 10px;
        color: #fff;
        font-family: "A";
        font-size: 18px;
        transition: $sondage_delay;
        text-decoration: none;
        cursor: pointer;
        margin-right: 5px;

        &:hover {
            color: #414141;
            background-color: #fff;
            transition: $sondage_delay;
        }
    }
    #delete_sondage {
        background-color: red;
        border: 3px solid red;

        &:hover {
            color: red;
        }
    }
}

// =======================
//      REGISTER FORM
// =======================
#register_form {
    margin-top: 50px;
    margin-left: 50px;
}

#register_box {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;

    #register {
        border: 3px solid #414141;
        border-radius: 20px;
        padding: 30px 30px 0px 30px;
        min-width: 50%;

        .registration_block {
            display: flex;
            flex-direction: column;

            input {
                margin-bottom: 20px;
                height: 30px;
            }
            label {
                font-family: "A";
                font-size: 24px;
            }
        }

        ul {
            list-style: none;

            li {
                color: red;
            }
        }

        h1 {
            font-family: "A";
            text-align: center;
        }
        form {
            padding: 30px;
        }
        .registration_block {
            display: flex;
            flex-direction: column;

            input {
                margin-bottom: 20px;
                height: 30px;
            }
            label {
                font-family: "A";
                font-size: 24px;
            }
        }
        input {
            margin-bottom: 20px;
        }
        label {
            font-family: "A";
            font-size: 24px;
        }
        button {
            margin-top: 30px;
            background-color: #414141;
            border: 3px solid #414141;
            padding: 5px;
            border-radius: 10px;
            color: #fff;
            font-family: "A";
            width: 100%;
            font-size: 18px;
            transition: $sondage_delay;
            text-decoration: none;
            cursor: pointer;
            margin-bottom: 20px;

            &:hover {
                color: #414141;
                background-color: #fff;
                transition: $sondage_delay;
            }
        }
    }
}

// =======================
//       MON COMPTE
// =======================
.account_section{
    font-size: 30px;
    text-align: center;
    color: #414141;
    font-family: "A";
}

#first_account_session {
    margin-top: 50px;
}

#published_deck, #brouillon_deck {
    text-align: center;

    p  {
        font-family: "A";
        font-size: 24px;
        color: #414141;
        opacity: 0.6;
    }
}

#user_buttons {
    margin-top: 50px;
    display: flex;
    flex-direction: row;
}

#logout {
    margin-left: 5px;
    background-color: red;
    border: 3px solid red;
    transition: $sondage_delay;
    padding: 10px 20px;
    border-radius: 10px;
    color: #fff;
    font-family: "A";
    font-size: 18px;
    text-decoration: none;
    text-decoration: none;

    &:hover {
        color: red;
        background-color: #fff;
        transition: $sondage_delay;
    }
}

// =======================
//         MEDIA
// =======================
@media(max-width: 992px) {
    .sondages_deck {
        grid-template-columns: 1fr 1fr!important;
    }
}

@media (max-width: 768px) {

    // NAVBAR
    #navbar #connexion {
        display: none;
    }
    #navbar #brand {
        margin-left: 10px;
    }
    #toggle_menu {
        display: flex!important;
    }

    // HOMEPAGE
    #home_header {
        margin-left: 10px;
    }

    // SONDAGES DECK
    .sondages_deck {
        margin: 40px 10px;
    }

    #add_sondage {
        margin-left: 10px;
    }
    #new_sondage_box {
        margin: 10px;
        form {
            min-width: 80%;
        }
    }

    // ARIANE
    .ariane {
        margin-left: 10px;
    }

    //SONDAGE SHOW
    #sondage_box {

        #sondage {
            min-width: 80%;
            margin: 10px;

            form {
                padding-bottom: 0px!important;
            }
            #sondage_buttons {
                display: flex;
                flex-direction: column;

                button {
                    margin-bottom: 0px!important;
                    width: 100%;
                }
                a {
                    text-align: center;
                }
            }
        }
    }

    // REGISTER
    .register_fix {
        padding: 0px!important;
    }
    #inputPassword, #registration_form_plainPassword {
        margin-bottom: 0px!important;
    }

    // ADMIN OPTIONS ON SONDAGE
    #admin_options {
        margin: 30px 10px auto 10px!important;
        flex-direction: column;

        a {
            margin-bottom: 5px;
            text-align: center;
        }

        a, #delete_sondage {
            width: 100%;
        }
    }

}

@media(max-width: 576px) {
    .sondages_deck {
        grid-template-columns: 1fr!important;
    }
    #user_buttons {
        flex-direction: column;

        #logout {
            margin-left: 10px!important;
            margin-top: 20px;
        }
        #logout, #add_sondage {
            margin-right: 10px!important;
            text-align: center;
        }
    }
}